8 Replies Latest reply on Sep 13, 2016 12:32 PM by Frank

    Openfire is installed and now?

    Frank

      I'm not able to configure openfire that I can use any service. Where ever I'm looking for I coudn't find an documentation.

      How can I configure and are there additional services on the server needed?

      Or where can I find a documetation for the  configuration of openfire. Openfire is running on ubuntu server 16.04.

        • Re: Openfire is installed and now?
          wroot

          There is some documentation here Ignite Realtime: Openfire Server  There are also various guides on the Internet like this Dinis Cruz Blog: Installing Ignite’s OpenFire and Spark (IM server and client)

           

          What documentation exactly are you looking for? There is not much to configure in Openfire to start using it actually.

            • Re: Openfire is installed and now?
              Frank

              I installed openfire 4.0.3 on ubuntu server 16.04 with java 9. I can log in as admin on https://servername:9091. It ist working together with mysql and the users I created are in the mysql database "openfire". I'm not able to get connected with spark, I can't get any user online. The only user is online is focus which came with the video conference plug in. How can I use any service. All I can get is invalid password or user.

              I coudn't try spark on local host because I didn't found installation instructions für spark 2.8.0. I do not know can I use the same Java version or not.

              Need some help!

                • Re: Openfire is installed and now?
                  wroot

                  Your Openfire installation is not correct (or your connection setting in Spark). Read this: Login issues since Spark 2.8.0

                    • Re: Openfire is installed and now?
                      Frank

                      I tried to log in with local IP (192.168.1.2), Local servername, domainname: I tried it with spark from windows, xapper and chatsecure app android, chatsecure on iphone and I can't get connected. How can I change config of openfire?

                      What is hostname in openfire setup? the local hostname or external (domainname)?

                      I'm close to give up, because I have no more ideas, and it anyway seems that java 9 is not stable on ubuntu server 16.04 and I don't want to crash my well running cloud service.

                        • Re: Openfire is installed and now?
                          wroot

                          Why are you using Java 9? java 8 is the current stable version and should be available on Ubuntu.

                           

                          If you can't connect with any client, this might be a firewall issue then. You should open 5222 port on that server. You can first try to login form the same server (if it has GUI) by installing some client on it. It doesn't have to be Spark. Can be any xmpp client, e.g. Pidgin.

                           

                          Your server's hostname and server name (which is xmpp domain) are shown on Admin Console's first page. You should be putting "server name" into Spark's or other client's server/domain field. But of course, this domain name should be resolvable in your network (this means it should be in your DNS, or you have to additionally add IO on the Advanced setting in Spark).

                           

                          There is no instructions for installing Spark on Linux. You either install deb and then find and launch it via term, or extract and run tar.gz version via term. Java 8 should work for Spark. Tar.gz version has Java 8 included already. You can use this version, as it has more detailed error messages https://bamboo.igniterealtime.org/artifact/SPARK-INSTALL4J/shared/build-900/Inst all4j/spark_2_8_0_900.tar.gz

                            • Re: Openfire is installed and now?
                              Frank

                              Installation instruction I found in german was with java 7 and it didn't work anymore. I got recommandation for Java 9 as current version when I tried it with Java 7.

                              Currently I have no firewall on the server running.

                              Do I have to reinstall openfire if i deinstall java 9 and java 8 ist comming up with the spark packet?

                                • Re: Openfire is installed and now?
                                  wroot

                                  You don't have to reinstall Openfire, but it doesn't come with Java (at least deb and tar.gz version). So you will have to install it. Or, if you already downloaded and extracted Spark's tar.gz version, then you can copy jre folder from it into Openfire's installation folder and it should pick up it as it starts. I think Openfire is not fully compatible with Java 9 yet. This might also be a cause of your problems.